ImagickDraw::getStrokeLineJoin
ImagickDraw::getStrokeOpacity
ImagickDraw
PHP Manual

# ImagickDraw::getStrokeMiterLimit

Returns the stroke miter limit

### Description

int ImagickDraw::getStrokeMiterLimit ( void )
Warning

This function is currently not documented; only its argument list is available.

Returns the miter limit. When two line segments meet at a sharp angle and miter joins have been specified for 'lineJoin', it is possible for the miter to extend far beyond the thickness of the line stroking the path. The 'miterLimit' imposes a limit on the ratio of the miter length to the 'lineWidth'.

### Return Values

Returns an int describing the miter limit and 0 if no miter limit is set.